xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) 2009 Collabora Ltd
License | BSD-style (see xmonad/LICENSE)
Maintainer | Andres Salomon <dilinger@collabora.co.uk>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Util.Cursor

Contents

- Usage:

Description

A module for setting the default mouse cursor.

Some ideas shamelessly stolen from Nils Schweinsberg; thanks!

Synopsis

- module Graphics.X11.Xlib.Cursor
- setDefaultCursor :: Glyph -> X ()

# Usage:

      setDefaultCursor xC_left_ptr

For example, to override the default gnome cursor:

      import XMonad.Util.Cursor
      main = xmonad gnomeConfig { startupHook = setDefaultCursor xC_pirate }

Arrr!

module Graphics.X11.Xlib.Cursor

setDefaultCursor :: Glyph -> X () Source #

Set the default (root) cursor